MODULE mes_types

  INTEGER,PARAMETER :: taille_chaine=12

  TYPE diag
     INTEGER :: dist
     REAL,DIMENSION(:),POINTER :: tab
  END TYPE diag

  type refractory
     real :: mass_out
     integer,dimension(2)::update,counter,counter_save
     real,dimension(2) :: Tr
     real, dimension(:,:), pointer :: time_old,time_new,time
     real, dimension(:,:,:), pointer :: rflux,flux_old,flux_new
     integer :: nmax_old,nmax_new
  end type refractory

  type bc_set
     real,dimension(:),pointer :: val,rflux
  end type bc_set

  TYPE cl
     INTEGER :: TYPE
     REAL :: val
  END TYPE cl

  TYPE Champ
     REAL,dimension(2) :: tau
     REAL, DIMENSION(:,:),POINTER :: val       !tableau de valeurs
     REAL, DIMENSION(:,:,:),POINTER :: diffusion
     ! The third dimension is always 3
     ! diffusion(i,j,1)=d11; diffusion(i,j,2)=d22; diffusion(i,j,3)=d12;
     TYPE(cl),DIMENSION(:),POINTER :: left,bottom,right,top
  END TYPE Champ
  


END MODULE mes_types
