subroutine alloue
  use param
  use mes_types
  use alloc
  
  implicit none

  integer :: i
!print*,'Enter alloue'
  
  call alloue_real_2D (C%val,1,mx,1,my,1)
  C%val=0.0

  allocate (C%top(mx))
  allocate (C%bottom(mx))
  allocate (C%left(my))
  allocate (C%right(my))

  call alloue_real_2D (steady_save,1,mx,1,my,1)
  steady_save=0.0

  call alloue_real_2D (SB9,1,mx,1,my,1)
  SB9=0.0
  call alloue_real_2D (source,1,mx,1,my,1)
  source=0.0

  call alloue_real_1D (sol_1D,1,mtotal,1)
  sol_1D=0.0


call alloue_real_1D (scdm,1,mtotal,1)
scdm=0.0

call alloue_real_1D (sm_diff,1,mtotal,1)
sm_diff=0.0

call alloue_real_2D (Vx,0,mx,0,my+1,1) 
call alloue_real_2D (Vy,0,mx+1,0,my,1) 
Vx=0.0
Vy=0.0

call alloue_real_3D (C%diffusion,0,mx+1,0,my+1,1,3,1)
C%diffusion=1.0d10

allocate (mat_diff(9))
do i=1,9
   call alloue_real_1D (mat_diff(i)%tab,1,mtotal,1)
   mat_diff(i)%tab=0.0
end do

call alloue_real_1D (store_mat,1,mtotal,1)
store_mat=0.0

call alloue_integer_2D (bij_tab,1,mx*my,1,2,1)

call alloue_real_2D (iPstar,1,mx,1,3,1)
call alloue_real_2D (jPstar,1,my,1,3,1)


call alloue_real_2D (xflux,0,mx,1,my,1)
call alloue_real_2D (yflux,1,mx,0,my,1)
xflux=0.0
yflux=0.0
!print*,'Exit alloue'

! Allocation -- 1D
!-----------------
call alloue_real_1D (flux_1d,0,max(mx,my),1)
flux_1d=0.0
call alloue_real_1D (SB9_1d,0,max(mx,my),1)
SB9_1d=0.0
call alloue_real_1D (xinterp_1d,0,max(mx,my),1)
xinterp_1d=0.0
call alloue_real_1D (diff_1d,0,max(mx,my)+1,1)
diff_1d=0.0
call alloue_real_1D (deltax_1d,1,max(mx,my),1)
deltax_1d=0.0
call alloue_real_1D (dxp_1d,0,max(mx,my),1)
dxp_1d=0.0
call alloue_real_1D (xsm,1,mx,1)
xsm=0.0
call alloue_real_1D (ysm,1,my,1)
ysm=0.0
call alloue_real_1D (xsol,1,mx,1)
xsol=0.0
call alloue_real_1D (ysol,1,my,1)
ysol=0.0
call alloue_real_1D (xVx,0,mx,1)
xVx=0.0
call alloue_real_1D (yVx,0,my,1)
yVx=0.0

allocate (xmat_diff(3))
do i=1,3
   call alloue_real_1D (xmat_diff(i)%tab,1,mx,1)
   xmat_diff(i)%tab=0.0
end do
allocate (ymat_diff(3))
do i=1,3
   call alloue_real_1D (ymat_diff(i)%tab,1,my,1)
   ymat_diff(i)%tab=0.0
end do

call alloue_real_2D (rboth,1,400,1,400,1)
call alloue_real_2D (tboth,1,400,1,400,1)
rboth=0.0
tboth=0.0



end subroutine alloue
