subroutine cross_correlation(chain,opt)

use param
use mes_types

implicit none

integer :: i,j
real,dimension(1:my+400) :: cross
real,dimension(1:mx+400) :: cross2
character(len=*),intent(in) :: chain
integer,intent(in) :: opt

real :: s,m_out

open(unit=20,file=chain,status='replace')


select case (opt)
case(1)
s=0.0
m_out=0.0
DO j=1,my
   cross(j)=C%diffusion(mx,j,1)*C%val(mx,j)/(deltax(mx)/2.0)
   s=s+deltay(j)*cross(j)
END DO

DO j=1,400
   cross(my+j)=C%diffusion(mx,my,1)*ref%rflux(2,j,mx)/(deltax(mx)/2.0)
END DO
DO j=1,399
   if (ref_times(j)<C%tau(2)) m_out=m_out&
        &+cross(my+j+1)*(ref_times(j+1)-ref_times(j))
END DO

cross=cross/(s+m_out)

!write(20,*) chain

!write(20,500) m_out/(s+m_out)

!write(20,*) ref%counter(2)


DO j=1,my!+400
   write(20,600) ypoints(j),cross(j)
END DO

!DO i=1,400
!   write(20,500) ref_times(i)
!END DO

case (2)
s=0.0
m_out=0.0
DO i=1,mx
   cross2(i)=C%diffusion(i,my,2)*C%val(i,my)/(deltay(my)/2.0)
   s=s+deltax(i)*cross2(i)
END DO

DO i=1,400
   cross2(mx+i)=C%diffusion(mx,my,2)*ref%rflux(1,i,my)/(deltay(my)/2.0)
END DO
DO i=1,399
   if (ref_times(i)<C%tau(1)) m_out=m_out&
        &+cross2(mx+i+1)*(ref_times(i+1)-ref_times(i))
END DO

cross2=cross2/(s+m_out)

!write(20,*) chain

!write(20,500) m_out/(s+m_out)

!write(20,*) ref%counter(1)

DO i=1,mx!+400
   write(20,600) xpoints(i),cross2(i)
END DO

!DO i=1,400
!   write(20,500) ref_times(i)
!END DO

end select

close(20)

500 format (f30.20)
600 format (f30.20,2X,f30.20)

end subroutine cross_correlation
