MODULE files

  !--------------------------------------------------------------------------
  ! Goal : Declare the names of I/O files and units
  !--------------------------------------------------------------------------

  !--------------------------------------------------------------------------
  ! Global variables:
  !--------------------------------------------------------------------------
  ! FPARAM, uparam      : file and unit of main parameters
  ! FDOM, udom          : file and unit of parameters related to the domain
  ! FCSUB, ucsub        : file and unit of initial and boundary conditions
  ! FPLOTPLT, uplotvtk  : file and unit of the result file (.vtk format)
  ! FTOOL, utool        : file and unit of a "tool file" for convenience

  INTEGER,PARAMETER :: uparam=11,udom=12,ucsub=13,uplotplt=15,utool=17
  INTEGER,PARAMETER :: uplotmovie=18,usave=14,ucross=19,ufire=16
  CHARACTER(len=40),SAVE :: FPARAM,FDOM,FPLOTPLT,FCSUB='initial',FTOOL='outil'
  CHARACTER(len=40),SAVE :: FPLOTMOVIE,FSAVE='saved',CROSS,FIRE

  !--------------------------------------------------------------------------
  ! Local variables:
  !--------------------------------------------------------------------------

END MODULE files
