subroutine read_data(chain)

  !--------------------------------------------------------
  ! Goal : Read data to continue the previous simulation
  !--------------------------------------------------------

  use param
  use mes_types
  use files

  implicit none
  
  character(len=*),intent(in) :: chain
  integer :: i,j,k

  !PRINT*,'Reading data'

  OPEN (unit=usave,file=chain,status='old')
  
  read(usave,*)

  read(usave,500) mass_out

  read(usave,*) ref%counter
  
  DO i=1,mx
     read(usave,500) C%val(i)
  END DO
  DO i=1,400
     read(usave,500) ref%rflux(i)
  END DO
  
  DO i=1,400
     read(usave,500) ref%time(i)
  END DO

  CLOSE (usave)
  !print*,'OK'
  !print*,' '

  500 format (f30.20)

end subroutine read_data
