module plot

use files
use mes_types
use param
use functions

implicit none

contains

subroutine create_vtk(chain)

integer :: i,j,k,ind1,ind2
real :: absc,ord
character(len=*),intent(in) :: chain


400 format (2(E14.7,3x))
500 format (3(E14.7,3x))
600 format (9(I6,3X))
700 format (f20.10)

end subroutine create_vtk


subroutine plot_vtk (vec,chaine,chain)

  real,dimension(:,:),pointer :: vec
  !integer,intent(in) :: chaine
  character(len=*),intent(in) :: chaine,chain
  integer :: i,j
  REAL :: absc,ord


  open (unit=uplotplt,file=chain,status='old',position='append')
!!$  WRITE(uplotplt,*) 'SCALARS ',chaine,' float 1'
!!$  WRITE(uplotplt,*) 'LOOKUP_TABLE default'

!Deleted
!!$  DO j=1,my
!!$     DO i=1,mx
!!$        write (uplotplt,500) vec(i,j)
!!$     END DO
!!$  END DO

  !Added
  DO j=1,my
     do i=1,mx
        IF ((xpoints(i)>=xp_min).and.(xpoints(i)<=xp_max)&
             &.and.(ypoints(j)>=yp_min).and.(ypoints(j)<=yp_max))&
             &write(uplotplt,500) vec(i,j)
     end do
  end DO
  !---------------------------------------------------------------
  
close (uplotplt)

  500 format (f30.20)

end subroutine plot_vtk

end module plot
