SUBROUTINE steady

  !--------------------------------------------------------------------------
  ! Role : Test de convergence d'un etat stationnaire
  !--------------------------------------------------------------------------

  USE mes_types
  USE param
  USE plot

  REAL :: residu

  ! Calcul du residu en norme l-infini
  !------------------------------------
  
  steady_save=ABS(C%val-steady_save)
 
  residu=MAXVAL(steady_save)/deltat

  IF(MOD(iter,info)==0) THEN
     PRINT*,'Residual = ',residu
     !PRINT*,' ' 
  END IF

  ! Convergence test
  !---------------------
  IF (residu<test_cv_stat) THEN
     steady_state=-1
     CALL plot_vtk (SB9,'Steady_state')
     PRINT*,' '
     PRINT*,'Steady state reached    Residual = ',residu,deltat
     PRINT*,'Time=',T,'iteration=',iter,'deltat=',deltat
     PRINT*,' '
     call marginal
  END IF

  ! Actualisation du tableau steady_save
  !--------------------------------------
  
  steady_save=C%val
     

END SUBROUTINE steady
