MODULE files

  !--------------------------------------------------------------------------
  ! Role : module contenant les noms et les unites de lecture des fichiers
  !  d'entree/sortie
  !--------------------------------------------------------------------------

  INTEGER,PARAMETER :: uparam=11,udom=12,ucsub=13,uplotplt=15,utool=17
  INTEGER,PARAMETER :: usave=22,uplotmovie=18

  CHARACTER(len=40),SAVE :: FPARAM,FDOM,FPLOTPLT,FCSUB
  CHARACTER(len=40),SAVE :: FTOOL,FSAVE
  CHARACTER(len=40),SAVE :: FPLOT_MOVIE,FPLOTPLT2
  !---------------
  ! Correspondance
  !---------------

  ! FPARAM, uparam      : fichier et unite de lecture des parametres principaux
  ! FDOM, udom     : fichier et unite de lecture des parametres du milieu
  !                       dans le cas d'un milieu stratifie
  ! FCSUB, ucsub      : fichier et unite de lecture des conditions aux
  !                       limites et initiale pour les substrats
  ! FPLOTPLT, uplotvtk  : fichier et unite du fichier d'impression vtk
  ! FTOOL, utool        : fichier et unite outil
  ! FSAVE, usave        : fichier et unite de lecture du fichier de securite 
  !                       pour les reprises

END MODULE files
