SUBROUTINE alloue
  USE param
  USE mes_types
  USE alloc

  !------------------------------------------------------------------------
  ! Goal: Allocate the main variables
  !------------------------------------------------------------------------

  INTEGER :: i


  CALL alloue_real_1D (C%val,1,mx,1)
  C%val=0.0

  CALL alloue_real_1D (steady_save,1,mx,1)
  steady_save=0.0

  CALL alloue_real_1D (SB9,1,mx,1)
  SB9=0.0
  CALL alloue_real_1D (source,1,mx,1)
  source=0.0

  CALL alloue_real_1D (sol_1D,1,mx,1)
  sol_1D=0.0


  CALL alloue_real_1D (scdm,1,mx,1)
  scdm=0.0

  CALL alloue_real_1D (sm_diff,1,mx,1)
  sm_diff=0.0

  CALL alloue_real_1D (Vx,0,mx,1) 
  Vx=0.0

  CALL alloue_real_1D (C%diffusion,0,mx+1,1)
  C%diffusion=1.0d10

  CALL alloue_real_1D (flux,0,mx,1)
  flux=0.0

  CALL alloue_real_1D (store_mat,1,mx,1)
  store_mat=0.0

END SUBROUTINE alloue
