SUBROUTINE desallocation

  !-----------------------------------------------------------------------------
  ! Goal: deallocation of all tables and pointers
  !   This routine is no longer maintained as fortran95 deallocate automatically
  !-----------------------------------------------------------------------------
  
  USE mes_types
  USE param
  USE alloc

  INTEGER :: i,j,k

  PRINT*,'Desallocation'

  deallocate (xpoints)
  deallocate (C%diffusion)
  deallocate (C%val)
  deallocate (SB9)
  deallocate (sol_1D)
  deallocate (steady_save)

  do i=1,3
     deallocate (mat_diff(i)%tab)
  end do
  deallocate (mat_diff)

  deallocate(deltax)
  deallocate(dxp)
  deallocate(xinterp)
   
  deallocate (scdm)

  deallocate (sm_diff)

  deallocate(Vx)
  
  PRINT*,'Desallocation terminee'
  PRINT*,' '

END SUBROUTINE desallocation

