subroutine save_data

  !--------------------------------------------------------
  ! Goal : Save the results when the execution is finished
  !--------------------------------------------------------

  use param
  use mes_types
  use files

  implicit none

  integer :: i,j,k

  !PRINT*,'Saving data'

  OPEN (unit=usave,file=FSAVE,status='replace')
  
  write (usave,*) FSAVE

  write (usave,500) mass_out

  write(usave,*) ref%counter
  
  DO i=1,mx
     write(usave,500) C%val(i)
  END DO
  DO i=1,400

     write(usave,500) ref%rflux(i)
  END DO
  
  DO i=1,400
     write(usave,500) ref%time(i)
  END DO

  CLOSE (usave)
  !print*,'OK'
  !print*,' '

  500 format (f30.20)

end subroutine save_data
