MODULE param

  USE mes_types

  integer,parameter :: len_buffer=80
  integer,save :: mx,my,nx,ny,mtotal,info,mpx,mpy,npx,npy,mptotal
  integer,save :: schema_transport
  integer,save :: method_syslin_diff,diff_precond,type_vit,pri,type_diff
  integer,save :: tester_temps,iter,nbr_stock,nbr_strates,lecs
  integer,dimension(7),save ::nnum 
  real,save :: lx,ly,cfl,t_0,t_max,xd_min,xd_max,yd_min,yd_max
  real,save :: xp_min,xp_max,yp_min,yp_max
  real,save :: v1,v2,dloc1,dloc2,dloc3
  real,save :: C_adim
  real,save :: T,Tplus,deltat,deltat_cst,test_cv_diff
  real,dimension(:),pointer,save :: tps_stock,scdm,sm_diff
  type (champ) :: C
  real,dimension(:),pointer,save :: deltax,dxp,deltay,dyp
  real,dimension(:),pointer,save :: xp_points,xp_mesh,yp_points,yp_mesh
  real,dimension(:),pointer,save :: xpoints,xmesh,ypoints,ymesh
  real,dimension (:,:),pointer,save :: SB9,source
  real,dimension (:,:),pointer,save :: Vx,Vy
  type(diag),dimension(:),pointer,save :: mat_diff
  real,dimension(:),pointer,save :: store_mat
  real,dimension(:),pointer,save :: sol_1D
  real,dimension(:,:),pointer :: iPstar,jPstar
  !real,dimension(:),pointer,save :: icompensate,jcompensate
  integer,dimension(:,:),pointer,save :: bij_tab

  real,dimension(2) :: weight

  real :: xbreak,ybreak,tau_max
  integer :: ib,jb

  integer,save :: steady_state
  real :: test_cv_stat
  real,dimension(:,:),pointer,save :: steady_save

  INTEGER :: movie,go_around
  real :: zero=1.d-15

  ! Modified
  real,dimension(:),pointer,save :: xinterp,yinterp
  
  REAL,dimension(:,:),pointer :: xflux
  REAL,dimension(:,:),pointer :: yflux

  type(refractory) :: ref

  real,dimension(:),pointer :: ref_times, ref_fluxes

  !type(bc_set),dimension(:),pointer :: rset,tset

  integer,save :: active,tiexit,riexit

  ! 1d parameters
  !-----------------------------------------------
  integer,save :: mx_1d,ib_1d
  real,dimension(:),pointer :: flux_1d,diff_1d,SB9_1d,xsm,ysm,deltax_1d,dxp_1d
  real,dimension(:),pointer :: xsol,ysol,xVx,yVx
  real,dimension(:),pointer :: xinterp_1d
  type(diag),dimension(:),pointer,save :: xmat_diff,ymat_diff
  real,save :: weight_1d
  real,dimension(:,:),pointer :: rboth,tboth

END MODULE param
